Uploaded image for project: 'Hadoop HDFS'
  1. Hadoop HDFS
  2. HDFS-3638

backport HDFS-3568 (add security to fuse_dfs) to branch-1

    Details

    • Type: New Feature
    • Status: Resolved
    • Priority: Minor
    • Resolution: Won't Fix
    • Affects Version/s: 1.1.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Target Version/s:

      Description

      Backport HDFS-3568 to branch-1. This will give fuse_dfs support for Kerberos authentication, allowing FUSE to be used in a secure cluster.

        Issue Links

          Activity

          Hide
          sureshms Suresh Srinivas added a comment -

          Colin, it is not necessary to create Jira for backports. Unless significant rework is needed, it is okay to just post the branch-1 patch on the previous jira itself.

          Show
          sureshms Suresh Srinivas added a comment - Colin, it is not necessary to create Jira for backports. Unless significant rework is needed, it is okay to just post the branch-1 patch on the previous jira itself.
          Hide
          cmccabe Colin P. McCabe added a comment -

          Yeah, perhaps I should have posted the branch-1 patch on HDFS-3568.

          I think this work requires HDFS-420 to first be backported to branch-1. Do you think I should fold the backport into the patch I post here, or reopen HDFS-420 and post a branch-1 patch for it?

          Show
          cmccabe Colin P. McCabe added a comment - Yeah, perhaps I should have posted the branch-1 patch on HDFS-3568 . I think this work requires HDFS-420 to first be backported to branch-1. Do you think I should fold the backport into the patch I post here, or reopen HDFS-420 and post a branch-1 patch for it?
          Hide
          mattf Matt Foley added a comment -

          Moved to 1.2.0 upon release of 1.1.0.

          Show
          mattf Matt Foley added a comment - Moved to 1.2.0 upon release of 1.1.0.
          Hide
          mattf Matt Foley added a comment -

          Changed Target Version to 1.3.0 upon release of 1.2.0. Please change to 1.2.1 if you intend to submit a fix for branch-1.2.

          Show
          mattf Matt Foley added a comment - Changed Target Version to 1.3.0 upon release of 1.2.0. Please change to 1.2.1 if you intend to submit a fix for branch-1.2.
          Hide
          boky01 Andras Bokor added a comment -

          Branch-1 is EoL.

          Show
          boky01 Andras Bokor added a comment - Branch-1 is EoL.

            People

            • Assignee:
              cmccabe Colin P. McCabe
              Reporter:
              cmccabe Colin P. McCabe
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development